Bug 81357 - Setting Default Western Language to None doesn't stick
Summary: Setting Default Western Language to None doesn't stick
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: NoRepro:4.1.0.0.beta1:ubuntu target:4...
Keywords: bibisected, bisected, possibleRegression
Depends on:
Blocks:
 
Reported: 2014-07-14 17:49 UTC by Justin L
Modified: 2015-12-15 22:14 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2014-07-14 17:49:47 UTC
If I change my options so that "Default language for Western documents" is set  to "[None]", that setting reverts to English (USA) after restarting LibreOffice.  This bug started in version 4.2, and also exists in 4.3 (tested Linux and Windows).  

Although the DefaultLocale setting in the XML config file is properly changed to "zxx", new documents aren't set with None as their language.  

To reproduce this problem
1.)  change Tools -> Options -> Language Settings -> Language -> Default languages for Document -> Western  to  [None].
2.)  close LibreOffice completely
3.)  restart LibreOffice, and check the setting.  It will not be None - probably English (USA).
4.)  create a new Writer document.  The default language will not be none.
Comment 1 Rik Shaw 2014-07-23 15:52:49 UTC
I can confirm this bug in LibreOffice 4.2 in both Linux Mint 13 / Ubuntu 12.04 and Linux Mint 17 / Ubuntu 14.04.

This is a very annoying bug as I use "None" as the default language since I am often working in multiple (minority) languages in different documents so don't want spellchecking red squiggles to default to English.

By using a default of "NONE" I can keep "check spelling as I type" enabled, and it only pops the red squiggles on documents AFTER I define the langauge of the document as English.
Comment 2 Kevin Suo 2014-07-23 16:05:11 UTC
This is a normal bug, should not belong to MAB.

> By using a default of "NONE" I can keep "check spelling as I type" enabled, and it only pops the red squiggles on documents AFTER I define the langauge of the document as English.
To do this, you can disable "check spelling as I type"; when you want to check spelling, you can do it mannually "Tools - Spell and grammar check (F7)".
Comment 3 Kevin Suo 2014-07-23 16:18:41 UTC
Per comment 1, set to NEW.
Comment 4 Justin L 2014-09-02 15:32:43 UTC
186181c7d6a957b0fcdbc7ff66866f1abfff988e is the first bad commit
commit 186181c7d6a957b0fcdbc7ff66866f1abfff988e
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Fri Oct 18 06:22:37 2013 +0000

    source-hash-79850f25987d12c8ee91dfd0f699a562f341bf67
    
    commit 79850f25987d12c8ee91dfd0f699a562f341bf67
    Author:     Noel Grandin <noel@peralex.com>
    AuthorDate: Thu Aug 29 16:52:41 2013 +0200
    Commit:     Noel Grandin <noel@peralex.com>
    CommitDate: Thu Sep 5 08:54:11 2013 +0200
    
        convert include/svx/xf*.hxx from String to OUString
    
        Change-Id: Ifd11e8efc2c6dae7dd08fe61acb949b6238682a7

git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# bad: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect bad 4850941efe43ae800be5c76e1102ab80ac2c085d
# skip: [a043626b542eb8314218d7439534dce2fc325304] source-hash-9379a922c07df3cdb7d567cc88dfaaa39ead3681
git bisect skip a043626b542eb8314218d7439534dce2fc325304
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# good: [1d4980621741d3050a5fe61b247c157d769988f2] source-hash-89d01a7d8028ddb765e02c116d202a2435894217
git bisect good 1d4980621741d3050a5fe61b247c157d769988f2
# skip: [89110ca258fa7a15dfc546acfb39e76fc3eb2a44] source-hash-e450a2c506ac7cd4433b0f93fc750a89919bc03c
git bisect skip 89110ca258fa7a15dfc546acfb39e76fc3eb2a44
# bad: [1cca92a409385d9288c28a54d5e3008e56728bc0] source-hash-7be7824bbbdeee6fa998b950e6046ab37fe690cb
git bisect bad 1cca92a409385d9288c28a54d5e3008e56728bc0
# bad: [433dde6e380b06a6bf57a104a3723beca8fcc08c] source-hash-40d7608667014d54562658daec4650d068621e90
git bisect bad 433dde6e380b06a6bf57a104a3723beca8fcc08c
# bad: [186181c7d6a957b0fcdbc7ff66866f1abfff988e] source-hash-79850f25987d12c8ee91dfd0f699a562f341bf67
git bisect bad 186181c7d6a957b0fcdbc7ff66866f1abfff988e
# good: [b946f469e1740faa557741120989330fa22df995] source-hash-d3ff876f3c7f441fd72a037ed31fb973f223ca6d
git bisect good b946f469e1740faa557741120989330fa22df995
Comment 5 Robinson Tryon (qubit) 2014-09-05 07:47:13 UTC Comment hidden (obsolete)
Comment 6 Justin L 2014-09-05 20:23:07 UTC
Eike Rathke <erack@redhat.com>	2013-09-03 18:35:42 was committing  convertIsoStringToLanguage(), use convertToLanguageTypeWithFallback() changes around this time.
Comment 7 Commit Notification 2014-09-16 12:03:29 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3ff2e4dc1d0ba922e06f0d5c90c85fee33623784

fdo#81357 no fallback for special codes without country



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Eike Rathke 2014-09-16 13:00:40 UTC
Pending review
https://gerrit.libreoffice.org/11471 for 4-3
https://gerrit.libreoffice.org/11472 for 4-2
Comment 9 Commit Notification 2014-09-18 18:53:33 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=536cd9baa6b3eea7ddce9c0e69f9612aa0688144&h=libreoffice-4-2

fdo#81357 no fallback for special codes without country


It will be available in LibreOffice 4.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2014-09-18 18:54:02 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f31eae7441d916ab22b3395443e0301506cb8fc1&h=libreoffice-4-3

fdo#81357 no fallback for special codes without country


It will be available in LibreOffice 4.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Justin L 2014-11-04 05:53:17 UTC
Thank-you Eike Rathke!

Confirmed that this is fixed in the release of 4.2.7 and 4.3.3.
Comment 12 Robinson Tryon (qubit) 2015-12-15 22:11:49 UTC Comment hidden (obsolete)